> ## Documentation Index
> Fetch the complete documentation index at: https://docs.entropi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Product

> Creates a new product under a given user and/or organization



## OpenAPI

````yaml POST /v1/products/addOne
openapi: 3.0.1
info:
  title: Entropi API
  description: A guide to Entropi's public APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://dev.entropi.app
security:
  - bearerAuth: []
paths:
  /v1/products/addOne:
    post:
      description: Creates a new product under a given user and/or organization
      requestBody:
        required: true
        description: JSON representation of your product
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewProduct'
      responses:
        '200':
          description: API Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      productID:
                        description: Created product's productID
                        type: string
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewProduct:
      required:
        - name
        - desc
        - orgID
        - userID
      type: object
      properties:
        name:
          description: Name of the product
          type: string
        desc:
          description: A detailed description of the product
          type: string
        url:
          description: URL to product page, if applicable
          type: string
        orgID:
          description: Organization ID. See Organizations endpoint for details
          type: string
        userID:
          description: User ID. See Users endpoint for details
          type: string
        imageLink:
          description: URL to an image of the product
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````